| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
EntityFactoryQosPolicy Class Reference

Controls the behavior of the entity when acting as a factory for other entities. More...

`#include <QosPolicies.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | EntityFactoryQosPolicy ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | EntityFactoryQosPolicy (bool autoenable)
| Constructor.
virtual FASTDDS_EXPORTED_API | ~EntityFactoryQosPolicy ()
| Destructor.
bool | operator== (const EntityFactoryQosPolicy &b) const
void | clear ()

## Public Attributes

bool | autoenable_created_entities
| Specifies whether the entity acting as a factory automatically enables the instances it creates.

## Detailed Description

Controls the behavior of the entity when acting as a factory for other entities.

In other words, configures the side-effects of the create_* and delete_* operations.

Note
  Mutable Qos Policy

## Constructor & Destructor Documentation

## ◆ EntityFactoryQosPolicy() [1/2]

FASTDDS_EXPORTED_API EntityFactoryQosPolicy | ( |  | ) |

inline

Constructor without parameters.

## ◆ EntityFactoryQosPolicy() [2/2]

FASTDDS_EXPORTED_API EntityFactoryQosPolicy | ( | bool | autoenable | ) |

inline

Constructor.

Parameters

  autoenable | Value for the autoenable_created_entities boolean

## ◆ ~EntityFactoryQosPolicy()

virtual FASTDDS_EXPORTED_API ~EntityFactoryQosPolicy | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const EntityFactoryQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ autoenable_created_entities

bool autoenable_created_entities

Specifies whether the entity acting as a factory automatically enables the instances it creates.

If True the factory will automatically enable each created Entity otherwise it will not.
By default, True.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp